// Code generated by goa v3.12.3, DO NOT EDIT.
//
// login HTTP client CLI support package
//
// Command:
// $ goa gen gitlab.eclipse.org/eclipse/xfsc/tsa/login/design

package client

import (
	"encoding/json"
	"fmt"

	login "gitlab.eclipse.org/eclipse/xfsc/tsa/login/gen/login"
	goa "goa.design/goa/v3/pkg"
)

// BuildLoginPayload builds the payload for the login Login endpoint from CLI
// flags.
func BuildLoginPayload(loginLoginBody string) (*login.LoginRequest, error) {
	var err error
	var body LoginRequestBody
	{
		err = json.Unmarshal([]byte(loginLoginBody), &body)
		if err != nil {
			return nil, fmt.Errorf("invalid JSON for body, \nerror: %s, \nexample of valid JSON:\n%s", err, "'{\n      \"email\": \"ima@streichkuhic.com\"\n   }'")
		}
		err = goa.MergeErrors(err, goa.ValidateFormat("body.email", body.Email, goa.FormatEmail))
		if err != nil {
			return nil, err
		}
	}
	v := &login.LoginRequest{
		Email: body.Email,
	}

	return v, nil
}

// BuildLoginWithVCPayload builds the payload for the login LoginWithVC
// endpoint from CLI flags.
func BuildLoginWithVCPayload(loginLoginWithVCBody string) (*login.LoginVCRequest, error) {
	var err error
	var body LoginWithVCRequestBody
	{
		err = json.Unmarshal([]byte(loginLoginWithVCBody), &body)
		if err != nil {
			return nil, fmt.Errorf("invalid JSON for body, \nerror: %s, \nexample of valid JSON:\n%s", err, "'{\n      \"proofRecordId\": \"9e899887-5c45-409d-b269-c3fb8a1da8aa\"\n   }'")
		}
	}
	v := &login.LoginVCRequest{
		ProofRecordID: body.ProofRecordID,
	}

	return v, nil
}
